import MzButton from './components/button/mz-button';/*按钮*/
import MzRadio from './components/radio/mz-radio';/*单选框*/
import MzBreadcrumb from './components/breadcrumb/mz-breadcrumb'/*面包屑导航*/
import MzBreadcrumbItem from './components/breadcrumb/mz-breadcrumb-item'/*面包屑导航其中一项*/
import MzMenu from './components/menu/mz-menu'/*导航*/
import MzSubmenu from './components/menu/mz-submenu'/*子导航*/
import MzMenuItem from './components/menu/mz-menu-item'/*导航条中的其中一项*/
import MzRow from './components/row/row'/*栅格布局行*/
import MzCol from './components/row/col'/*栅格布局栏*/
import MzCheckbox from './components/checkbox/mz-checkbox'/*复选框*/
import MzCheckboxGroup from './components/checkbox/mz-checkbox-group'//复选框组
import MzInput from './components/input/mz-input'/*输入框*/
import MzSelect from '@/components/select/mz-select'//下拉列表
import MzOption from '@/components/select/mz-option'//下拉列表选项
import MzOptionGroup from '@/components/select/mz-option-group'//下拉列表选项分组
import MzTag from '@/components/tag/mz-tag'//tag标签
import MzTable from '@/components/table/table'//表格
import MzTableColumn from '@/components/table/table-column'//表格中的一列
import MzIcon from '@/components/icon/mz-icon'//Icon图标
import MzPopover from '@/components/popover/main'//浮动标签
import MzPagination from '@/components/pagination/pagination'//分页
import MzDatePicker from '@/components/date-picker/picker/date-picker'//日期选择
import MzTimeSelect from '@/components/date-picker/picker/time-select'//时间选择
import MzTimePicker from '@/components/date-picker/picker/time-picker'//时间选择
import MzTooltip from '@/components/tooltip/main.js'//tooltip
import MzSwitch from '@/components/switch/mz-switch'//switch开关
import MzProgress from '@/components/progress/mz-progress'//进度条
import MzMessageBox from '@/components/message-box/main.js'//alert,confirm,prompt
import MzUpload from '@/components/upload/index'//上传
var components = [
  MzButton,
  MzRadio,
  MzBreadcrumb,
  MzBreadcrumbItem,
  MzMenu,
  MzSubmenu,
  MzMenuItem,
  MzRow,
  MzCol,
  MzCheckbox,
  MzCheckboxGroup,
  MzInput,
  MzSelect,
  MzOption,
  MzOptionGroup,
  MzTag,
  MzTable,
  MzTableColumn,
  MzIcon,
  MzPopover,
  MzPagination,
  MzDatePicker,
  MzTimeSelect,
  MzTimePicker,
  MzTooltip,
  MzSwitch,
  MzProgress,
  MzMessageBox,
  MzUpload
];

const install = function(Vue) {
  components.map(component => {
    Vue.component(component.name, component);
  });

  //为了可直接使用this.$confirm(`确定移除 ${ file.name }？`)
  Vue.prototype.$msgbox = MzMessageBox;
  Vue.prototype.$alert = MzMessageBox.alert;
  Vue.prototype.$confirm = MzMessageBox.confirm;
  Vue.prototype.$prompt = MzMessageBox.prompt;
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
};

export default {
  version: '1.0.27',
  install,
  MzButton,
  MzRadio,
  MzBreadcrumb,
  MzBreadcrumbItem,
  MzMenu,
  MzSubmenu,
  MzMenuItem,
  MzRow,
  MzCol,
  MzCheckbox,
  MzCheckboxGroup,
  MzInput,
  MzSelect,
  MzOption,
  MzOptionGroup,
  MzTag,
  MzTable,
  MzTableColumn,
  MzIcon,
  MzPopover,
  MzPagination,
  MzDatePicker,
  MzTimeSelect,
  MzTimePicker,
  MzTooltip,
  MzSwitch,
  MzProgress,
  MzMessageBox,
  MzUpload
};
